using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ButcherFactory.Dialogs
{
  /// <summary>
  /// CalendarSelecter.xaml 的交互逻辑
  /// </summary>
  public partial class CalendarSelecter : Window, INotifyPropertyChanged
  {
    public CalendarSelecter()
    {
      InitializeComponent();
    }

    public void DragWindow(object sender, MouseButtonEventArgs args)
    {
      this.DragMove();
    }

    private DateTime _result;
    public DateTime Result
    {
      get { return _result; }
      private set { _result = value; OnPropertyChanged("Result"); }
    }

    private void MC_SelectedDatesChanged(object sender, EventArgs e)
    {
      Result = MC.SelectedDate.Value;
      DialogResult = true;
    }

    public event PropertyChangedEventHandler PropertyChanged;
    protected void OnPropertyChanged(string propertyName)
    {
      if (PropertyChanged != null)
        PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
    }

    private void imgToday_Initialized(object sender, EventArgs e)
    {
      var imagePanel = (sender as Image);
      var path = System.IO.Path.Combine(Environment.CurrentDirectory, "Images", "today.png");
      imagePanel.Source = new BitmapImage(new Uri(path, UriKind.Absolute)); ;
    }
  }
}
